﻿@using Portal.Models.PO;
@using System.Web.UI.WebControls
@using Portal.Controllers
@model Toyota.Common.Web.MVC.ModelHolder

@{Layout = "~/Views/Layout/Dashboard.cshtml";}

@*Dwi Kuntarto 2012.11.13*@

<script type="text/javascript">
    var DeliveryNo = "";
    function ShowDetail(s, e) {
        DeliveryNo = s.GetValue().toString();
        popupRegulerDetail.Show();
    }

    function OnShowHandler(s, e) {
        popupRegulerDetail.PerformCallback(DeliveryNo);
    }

    function OnCloseHandler(s, e) {
        DeliveryNo = "";
        popupRegulerDetail.PerformCallback(DeliveryNo);
    }

    function OnBeginCallback(s, e) {
        e.customArgs["DeliveryNo"] = DeliveryNo;
        DeliveryNo = null;
    }
</script>
 
 <table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:100%; margin:0; padding:0">
            @Html.Partial("GridTruckMonitoring")
        </td>
    </tr>
 </table>
    
@Html.Partial("PopUpCallBackPartial")

@Html.Common().DevExpress().MessageBoard(
    msettings =>
    {
        msettings.Name = "MessageBoard";
        msettings.BoardName = "Truck Monitoring";
        msettings.Position = MessageBoardPosition.RIGHT;
    }
).GetHtml()